body {
   background: linear-gradient(to bottom,  #fff633, #000000);
    height: 100vh;
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.logo-container {
    position: absolute;
    top: 20px;
    left: 20px;
}

.personal-logo {
   width: 30px;
   height: auto; /* Adjust size as needed */
}

.search-container {
    margin: 20px 0;
}

input[type="text"] {
    padding: 10px;
    width: 300px;
    font-size: 1em;
    background-color: #000;
    color: #ff0;
    border: none;
    border-radius: 5px 0 0 5px;
}

button {
    padding: 10px;
    font-size: 1em;
    background-color: #ff0;
    color: #000;
    border: none;
    border-radius: 0 5px 5px 0;
    cursor: pointer;
}

button:hover {
    background-color: #cc0;
}

.links {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin-top: 20px;
}

.links img {
    width: 50px;
    cursor: pointer;
}

.links img:hover {
    opacity: 0.7;
}

.link-logo {
    width: 30px;
    position: relative;
    transition: transform 0.3s ease;
}
.link-logo:hover {
    animation: pulse 0.3s infinite;
}
.link-logo:hover::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 40px;
    border-radius: 50%;
    z-index: -1; /* Places the circle behind the logo */
}

@keyframes pulse {
    0% { transform: scale(1); }
    50% { transform: scale(1.1); }
    100% { transform: scale(1); }
}
@media (max-width: 600px) {
    input[type="text"] {
        width: 200px;
        font-size: 0.9em;
    }
    button {
        padding: 8px 15px;
        font-size: 0.9em;
    }
    .links img {
        width: 40px;
    }
}
